Unable to install ffdiaporama

I have been a manjaro mate user for quite sometime and I have been able to get the system working to my liking.

Today, I tried to install ffdiaporama from AUR using yay and it failed with the following error messages.

> error: failed to commit transaction (conflicting files)
> x264_152: /usr/bin/x264 exists in filesystem (owned by x264)
> x264_152: /usr/include/x264.h exists in filesystem (owned by x264)
> x264_152: /usr/include/x264_config.h exists in filesystem (owned by x264)
> x264_152: /usr/lib/libx264.so exists in filesystem (owned by x264)
> x264_152: /usr/lib/pkgconfig/x264.pc exists in filesystem (owned by x264)
> Errors occurred, no packages were upgraded.

I tried to remove x264, but I could as it was used by ffmpeg, libopenshot and gst-plugins-ugly. If I try to remove them, I get more dependency errors.

Can someone help me on how to address the conflicting files issue when installing ffdiaporama?

Try using
pamac build ffdiaporama

Also, try to build ffmpeg21 before ffdiaporama

Tried building ffmpeg21 and got the below error message.

Error: Failed to commit transaction:
conflicting files:
- x264_152: /usr/bin/x264 already exists in filesystem (owned by x264)
- x264_152: /usr/include/x264.h already exists in filesystem (owned by x264)
- x264_152: /usr/include/x264_config.h already exists in filesystem (owned by x264)
- x264_152: /usr/lib/libx264.so already exists in filesystem (owned by x264)
- x264_152: /usr/lib/pkgconfig/x264.pc already exists in filesystem (owned by x264)

Well, IMHO the AUR (en) - ffmpeg21 package should not overwrite the official repository ffmpeg package, but since someone else did that package i can only point you to their page and probably the packager should be notified to avoid that …
I can’t recommend overwriting the files. :man_shrugging: